package lib.dwfl;

/**
 *See:
 *http://www.linux-foundation.org/spec/ELF/ppc64/PPC-elf64abi-1.9.html#DW-REG
 */
public class DwarfRegistersPPC64
  extends Number
  implements Comparable
{
  private final String enumString;
  private final int enumValue;
  private final String enumPrint;
  private final String enumName;
  private DwarfRegistersPPC64 (int value, String string, String print, String name)
  {
    enumString = string;
    enumValue = value;
    enumPrint = print;
    enumName = name;
  }
  /** Return the qualified name of the enum.  */
  public String toString ()
  {
    return enumString;
  }
  /** Return a printable version of the enum.  */
  public String toPrint ()
  {
    return enumPrint;
  }
  /** Return the name of just the enum.  */
  public String toName ()
  {
    return enumName;
  }
  /**
   * Return true if OBJECT has the same value.
   */
  public boolean equals (Object o)
  {
    if (o == null)
      return false;
    if (! (o instanceof DwarfRegistersPPC64))
      return false;
    return ((DwarfRegistersPPC64)o).intValue() == this.intValue();
  }
  public int hashCode ()
  {
    return enumValue;
  }
  public int compareTo (Object o)
  {
    DwarfRegistersPPC64 rhs = (DwarfRegistersPPC64) o; // Can throw - ok.
    return this.enumValue - rhs.enumValue;
  }
  static public final int GPR0_ = 0;
  static public final DwarfRegistersPPC64 GPR0 = new DwarfRegistersPPC64 (0, "DwarfRegistersPPC64_GPR0", "GPR0", "GPR0");
  static public final int GPR1_ = 1;
  static public final DwarfRegistersPPC64 GPR1 = new DwarfRegistersPPC64 (1, "DwarfRegistersPPC64_GPR1", "GPR1", "GPR1");
  static public final int GPR2_ = 2;
  static public final DwarfRegistersPPC64 GPR2 = new DwarfRegistersPPC64 (2, "DwarfRegistersPPC64_GPR2", "GPR2", "GPR2");
  static public final int GPR3_ = 3;
  static public final DwarfRegistersPPC64 GPR3 = new DwarfRegistersPPC64 (3, "DwarfRegistersPPC64_GPR3", "GPR3", "GPR3");
  static public final int GPR4_ = 4;
  static public final DwarfRegistersPPC64 GPR4 = new DwarfRegistersPPC64 (4, "DwarfRegistersPPC64_GPR4", "GPR4", "GPR4");
  static public final int GPR5_ = 5;
  static public final DwarfRegistersPPC64 GPR5 = new DwarfRegistersPPC64 (5, "DwarfRegistersPPC64_GPR5", "GPR5", "GPR5");
  static public final int GPR6_ = 6;
  static public final DwarfRegistersPPC64 GPR6 = new DwarfRegistersPPC64 (6, "DwarfRegistersPPC64_GPR6", "GPR6", "GPR6");
  static public final int GPR7_ = 7;
  static public final DwarfRegistersPPC64 GPR7 = new DwarfRegistersPPC64 (7, "DwarfRegistersPPC64_GPR7", "GPR7", "GPR7");
  static public final int GPR8_ = 8;
  static public final DwarfRegistersPPC64 GPR8 = new DwarfRegistersPPC64 (8, "DwarfRegistersPPC64_GPR8", "GPR8", "GPR8");
  static public final int GPR9_ = 9;
  static public final DwarfRegistersPPC64 GPR9 = new DwarfRegistersPPC64 (9, "DwarfRegistersPPC64_GPR9", "GPR9", "GPR9");
  static public final int GPR10_ = 10;
  static public final DwarfRegistersPPC64 GPR10 = new DwarfRegistersPPC64 (10, "DwarfRegistersPPC64_GPR10", "GPR10", "GPR10");
  static public final int GPR11_ = 11;
  static public final DwarfRegistersPPC64 GPR11 = new DwarfRegistersPPC64 (11, "DwarfRegistersPPC64_GPR11", "GPR11", "GPR11");
  static public final int GPR12_ = 12;
  static public final DwarfRegistersPPC64 GPR12 = new DwarfRegistersPPC64 (12, "DwarfRegistersPPC64_GPR12", "GPR12", "GPR12");
  static public final int GPR13_ = 13;
  static public final DwarfRegistersPPC64 GPR13 = new DwarfRegistersPPC64 (13, "DwarfRegistersPPC64_GPR13", "GPR13", "GPR13");
  static public final int GPR14_ = 14;
  static public final DwarfRegistersPPC64 GPR14 = new DwarfRegistersPPC64 (14, "DwarfRegistersPPC64_GPR14", "GPR14", "GPR14");
  static public final int GPR15_ = 15;
  static public final DwarfRegistersPPC64 GPR15 = new DwarfRegistersPPC64 (15, "DwarfRegistersPPC64_GPR15", "GPR15", "GPR15");
  static public final int GPR16_ = 16;
  static public final DwarfRegistersPPC64 GPR16 = new DwarfRegistersPPC64 (16, "DwarfRegistersPPC64_GPR16", "GPR16", "GPR16");
  static public final int GPR17_ = 17;
  static public final DwarfRegistersPPC64 GPR17 = new DwarfRegistersPPC64 (17, "DwarfRegistersPPC64_GPR17", "GPR17", "GPR17");
  static public final int GPR18_ = 18;
  static public final DwarfRegistersPPC64 GPR18 = new DwarfRegistersPPC64 (18, "DwarfRegistersPPC64_GPR18", "GPR18", "GPR18");
  static public final int GPR19_ = 19;
  static public final DwarfRegistersPPC64 GPR19 = new DwarfRegistersPPC64 (19, "DwarfRegistersPPC64_GPR19", "GPR19", "GPR19");
  static public final int GPR20_ = 20;
  static public final DwarfRegistersPPC64 GPR20 = new DwarfRegistersPPC64 (20, "DwarfRegistersPPC64_GPR20", "GPR20", "GPR20");
  static public final int GPR21_ = 21;
  static public final DwarfRegistersPPC64 GPR21 = new DwarfRegistersPPC64 (21, "DwarfRegistersPPC64_GPR21", "GPR21", "GPR21");
  static public final int GPR22_ = 22;
  static public final DwarfRegistersPPC64 GPR22 = new DwarfRegistersPPC64 (22, "DwarfRegistersPPC64_GPR22", "GPR22", "GPR22");
  static public final int GPR23_ = 23;
  static public final DwarfRegistersPPC64 GPR23 = new DwarfRegistersPPC64 (23, "DwarfRegistersPPC64_GPR23", "GPR23", "GPR23");
  static public final int GPR24_ = 24;
  static public final DwarfRegistersPPC64 GPR24 = new DwarfRegistersPPC64 (24, "DwarfRegistersPPC64_GPR24", "GPR24", "GPR24");
  static public final int GPR25_ = 25;
  static public final DwarfRegistersPPC64 GPR25 = new DwarfRegistersPPC64 (25, "DwarfRegistersPPC64_GPR25", "GPR25", "GPR25");
  static public final int GPR26_ = 26;
  static public final DwarfRegistersPPC64 GPR26 = new DwarfRegistersPPC64 (26, "DwarfRegistersPPC64_GPR26", "GPR26", "GPR26");
  static public final int GPR27_ = 27;
  static public final DwarfRegistersPPC64 GPR27 = new DwarfRegistersPPC64 (27, "DwarfRegistersPPC64_GPR27", "GPR27", "GPR27");
  static public final int GPR28_ = 28;
  static public final DwarfRegistersPPC64 GPR28 = new DwarfRegistersPPC64 (28, "DwarfRegistersPPC64_GPR28", "GPR28", "GPR28");
  static public final int GPR29_ = 29;
  static public final DwarfRegistersPPC64 GPR29 = new DwarfRegistersPPC64 (29, "DwarfRegistersPPC64_GPR29", "GPR29", "GPR29");
  static public final int GPR30_ = 30;
  static public final DwarfRegistersPPC64 GPR30 = new DwarfRegistersPPC64 (30, "DwarfRegistersPPC64_GPR30", "GPR30", "GPR30");
  static public final int GPR31_ = 31;
  static public final DwarfRegistersPPC64 GPR31 = new DwarfRegistersPPC64 (31, "DwarfRegistersPPC64_GPR31", "GPR31", "GPR31");
  static public final int FPR0_ = 32;
  static public final DwarfRegistersPPC64 FPR0 = new DwarfRegistersPPC64 (32, "DwarfRegistersPPC64_FPR0", "FPR0", "FPR0");
  static public final int FPR1_ = 33;
  static public final DwarfRegistersPPC64 FPR1 = new DwarfRegistersPPC64 (33, "DwarfRegistersPPC64_FPR1", "FPR1", "FPR1");
  static public final int FPR2_ = 34;
  static public final DwarfRegistersPPC64 FPR2 = new DwarfRegistersPPC64 (34, "DwarfRegistersPPC64_FPR2", "FPR2", "FPR2");
  static public final int FPR3_ = 35;
  static public final DwarfRegistersPPC64 FPR3 = new DwarfRegistersPPC64 (35, "DwarfRegistersPPC64_FPR3", "FPR3", "FPR3");
  static public final int FPR4_ = 36;
  static public final DwarfRegistersPPC64 FPR4 = new DwarfRegistersPPC64 (36, "DwarfRegistersPPC64_FPR4", "FPR4", "FPR4");
  static public final int FPR5_ = 37;
  static public final DwarfRegistersPPC64 FPR5 = new DwarfRegistersPPC64 (37, "DwarfRegistersPPC64_FPR5", "FPR5", "FPR5");
  static public final int FPR6_ = 38;
  static public final DwarfRegistersPPC64 FPR6 = new DwarfRegistersPPC64 (38, "DwarfRegistersPPC64_FPR6", "FPR6", "FPR6");
  static public final int FPR7_ = 39;
  static public final DwarfRegistersPPC64 FPR7 = new DwarfRegistersPPC64 (39, "DwarfRegistersPPC64_FPR7", "FPR7", "FPR7");
  static public final int FPR8_ = 40;
  static public final DwarfRegistersPPC64 FPR8 = new DwarfRegistersPPC64 (40, "DwarfRegistersPPC64_FPR8", "FPR8", "FPR8");
  static public final int FPR9_ = 41;
  static public final DwarfRegistersPPC64 FPR9 = new DwarfRegistersPPC64 (41, "DwarfRegistersPPC64_FPR9", "FPR9", "FPR9");
  static public final int FPR10_ = 42;
  static public final DwarfRegistersPPC64 FPR10 = new DwarfRegistersPPC64 (42, "DwarfRegistersPPC64_FPR10", "FPR10", "FPR10");
  static public final int FPR11_ = 43;
  static public final DwarfRegistersPPC64 FPR11 = new DwarfRegistersPPC64 (43, "DwarfRegistersPPC64_FPR11", "FPR11", "FPR11");
  static public final int FPR12_ = 44;
  static public final DwarfRegistersPPC64 FPR12 = new DwarfRegistersPPC64 (44, "DwarfRegistersPPC64_FPR12", "FPR12", "FPR12");
  static public final int FPR13_ = 45;
  static public final DwarfRegistersPPC64 FPR13 = new DwarfRegistersPPC64 (45, "DwarfRegistersPPC64_FPR13", "FPR13", "FPR13");
  static public final int FPR14_ = 46;
  static public final DwarfRegistersPPC64 FPR14 = new DwarfRegistersPPC64 (46, "DwarfRegistersPPC64_FPR14", "FPR14", "FPR14");
  static public final int FPR15_ = 47;
  static public final DwarfRegistersPPC64 FPR15 = new DwarfRegistersPPC64 (47, "DwarfRegistersPPC64_FPR15", "FPR15", "FPR15");
  static public final int FPR16_ = 48;
  static public final DwarfRegistersPPC64 FPR16 = new DwarfRegistersPPC64 (48, "DwarfRegistersPPC64_FPR16", "FPR16", "FPR16");
  static public final int FPR17_ = 49;
  static public final DwarfRegistersPPC64 FPR17 = new DwarfRegistersPPC64 (49, "DwarfRegistersPPC64_FPR17", "FPR17", "FPR17");
  static public final int FPR18_ = 50;
  static public final DwarfRegistersPPC64 FPR18 = new DwarfRegistersPPC64 (50, "DwarfRegistersPPC64_FPR18", "FPR18", "FPR18");
  static public final int FPR19_ = 51;
  static public final DwarfRegistersPPC64 FPR19 = new DwarfRegistersPPC64 (51, "DwarfRegistersPPC64_FPR19", "FPR19", "FPR19");
  static public final int FPR20_ = 52;
  static public final DwarfRegistersPPC64 FPR20 = new DwarfRegistersPPC64 (52, "DwarfRegistersPPC64_FPR20", "FPR20", "FPR20");
  static public final int FPR21_ = 53;
  static public final DwarfRegistersPPC64 FPR21 = new DwarfRegistersPPC64 (53, "DwarfRegistersPPC64_FPR21", "FPR21", "FPR21");
  static public final int FPR22_ = 54;
  static public final DwarfRegistersPPC64 FPR22 = new DwarfRegistersPPC64 (54, "DwarfRegistersPPC64_FPR22", "FPR22", "FPR22");
  static public final int FPR23_ = 55;
  static public final DwarfRegistersPPC64 FPR23 = new DwarfRegistersPPC64 (55, "DwarfRegistersPPC64_FPR23", "FPR23", "FPR23");
  static public final int FPR24_ = 56;
  static public final DwarfRegistersPPC64 FPR24 = new DwarfRegistersPPC64 (56, "DwarfRegistersPPC64_FPR24", "FPR24", "FPR24");
  static public final int FPR25_ = 57;
  static public final DwarfRegistersPPC64 FPR25 = new DwarfRegistersPPC64 (57, "DwarfRegistersPPC64_FPR25", "FPR25", "FPR25");
  static public final int FPR26_ = 58;
  static public final DwarfRegistersPPC64 FPR26 = new DwarfRegistersPPC64 (58, "DwarfRegistersPPC64_FPR26", "FPR26", "FPR26");
  static public final int FPR27_ = 59;
  static public final DwarfRegistersPPC64 FPR27 = new DwarfRegistersPPC64 (59, "DwarfRegistersPPC64_FPR27", "FPR27", "FPR27");
  static public final int FPR28_ = 60;
  static public final DwarfRegistersPPC64 FPR28 = new DwarfRegistersPPC64 (60, "DwarfRegistersPPC64_FPR28", "FPR28", "FPR28");
  static public final int FPR29_ = 61;
  static public final DwarfRegistersPPC64 FPR29 = new DwarfRegistersPPC64 (61, "DwarfRegistersPPC64_FPR29", "FPR29", "FPR29");
  static public final int FPR30_ = 62;
  static public final DwarfRegistersPPC64 FPR30 = new DwarfRegistersPPC64 (62, "DwarfRegistersPPC64_FPR30", "FPR30", "FPR30");
  static public final int FPR31_ = 63;
  static public final DwarfRegistersPPC64 FPR31 = new DwarfRegistersPPC64 (63, "DwarfRegistersPPC64_FPR31", "FPR31", "FPR31");
  static public final int CCR_ = 64;
  static public final DwarfRegistersPPC64 CCR = new DwarfRegistersPPC64 (64, "DwarfRegistersPPC64_CCR", "CCR", "CCR");
  /**
   * MQ 100
   */
  static public final int FPSCR_ = 65;
  static public final DwarfRegistersPPC64 FPSCR = new DwarfRegistersPPC64 (65, "DwarfRegistersPPC64_FPSCR", "FPSCR", "FPSCR");
  /**
   * RTCU 104
   * RTCL 105
   */
  static public final int XER_ = 101;
  static public final DwarfRegistersPPC64 XER = new DwarfRegistersPPC64 (101, "DwarfRegistersPPC64_XER", "XER", "XER");
  static public final int LR_ = 108;
  static public final DwarfRegistersPPC64 LR = new DwarfRegistersPPC64 (108, "DwarfRegistersPPC64_LR", "LR", "LR");
  static public final int CTR_ = 109;
  static public final DwarfRegistersPPC64 CTR = new DwarfRegistersPPC64 (109, "DwarfRegistersPPC64_CTR", "CTR", "CTR");
  static public final int VR0_ = 1124;
  static public final DwarfRegistersPPC64 VR0 = new DwarfRegistersPPC64 (1124, "DwarfRegistersPPC64_VR0", "VR0", "VR0");
  static public final int VR1_ = 1125;
  static public final DwarfRegistersPPC64 VR1 = new DwarfRegistersPPC64 (1125, "DwarfRegistersPPC64_VR1", "VR1", "VR1");
  static public final int VR2_ = 1126;
  static public final DwarfRegistersPPC64 VR2 = new DwarfRegistersPPC64 (1126, "DwarfRegistersPPC64_VR2", "VR2", "VR2");
  static public final int VR3_ = 1127;
  static public final DwarfRegistersPPC64 VR3 = new DwarfRegistersPPC64 (1127, "DwarfRegistersPPC64_VR3", "VR3", "VR3");
  static public final int VR4_ = 1128;
  static public final DwarfRegistersPPC64 VR4 = new DwarfRegistersPPC64 (1128, "DwarfRegistersPPC64_VR4", "VR4", "VR4");
  static public final int VR5_ = 1129;
  static public final DwarfRegistersPPC64 VR5 = new DwarfRegistersPPC64 (1129, "DwarfRegistersPPC64_VR5", "VR5", "VR5");
  static public final int VR6_ = 1130;
  static public final DwarfRegistersPPC64 VR6 = new DwarfRegistersPPC64 (1130, "DwarfRegistersPPC64_VR6", "VR6", "VR6");
  static public final int VR7_ = 1131;
  static public final DwarfRegistersPPC64 VR7 = new DwarfRegistersPPC64 (1131, "DwarfRegistersPPC64_VR7", "VR7", "VR7");
  static public final int VR8_ = 1132;
  static public final DwarfRegistersPPC64 VR8 = new DwarfRegistersPPC64 (1132, "DwarfRegistersPPC64_VR8", "VR8", "VR8");
  static public final int VR9_ = 1133;
  static public final DwarfRegistersPPC64 VR9 = new DwarfRegistersPPC64 (1133, "DwarfRegistersPPC64_VR9", "VR9", "VR9");
  static public final int VR10_ = 1134;
  static public final DwarfRegistersPPC64 VR10 = new DwarfRegistersPPC64 (1134, "DwarfRegistersPPC64_VR10", "VR10", "VR10");
  static public final int VR11_ = 1135;
  static public final DwarfRegistersPPC64 VR11 = new DwarfRegistersPPC64 (1135, "DwarfRegistersPPC64_VR11", "VR11", "VR11");
  static public final int VR12_ = 1136;
  static public final DwarfRegistersPPC64 VR12 = new DwarfRegistersPPC64 (1136, "DwarfRegistersPPC64_VR12", "VR12", "VR12");
  static public final int VR13_ = 1137;
  static public final DwarfRegistersPPC64 VR13 = new DwarfRegistersPPC64 (1137, "DwarfRegistersPPC64_VR13", "VR13", "VR13");
  static public final int VR14_ = 1138;
  static public final DwarfRegistersPPC64 VR14 = new DwarfRegistersPPC64 (1138, "DwarfRegistersPPC64_VR14", "VR14", "VR14");
  static public final int VR15_ = 1139;
  static public final DwarfRegistersPPC64 VR15 = new DwarfRegistersPPC64 (1139, "DwarfRegistersPPC64_VR15", "VR15", "VR15");
  static public final int VR16_ = 1140;
  static public final DwarfRegistersPPC64 VR16 = new DwarfRegistersPPC64 (1140, "DwarfRegistersPPC64_VR16", "VR16", "VR16");
  static public final int VR17_ = 1141;
  static public final DwarfRegistersPPC64 VR17 = new DwarfRegistersPPC64 (1141, "DwarfRegistersPPC64_VR17", "VR17", "VR17");
  static public final int VR18_ = 1142;
  static public final DwarfRegistersPPC64 VR18 = new DwarfRegistersPPC64 (1142, "DwarfRegistersPPC64_VR18", "VR18", "VR18");
  static public final int VR19_ = 1143;
  static public final DwarfRegistersPPC64 VR19 = new DwarfRegistersPPC64 (1143, "DwarfRegistersPPC64_VR19", "VR19", "VR19");
  static public final int VR20_ = 1144;
  static public final DwarfRegistersPPC64 VR20 = new DwarfRegistersPPC64 (1144, "DwarfRegistersPPC64_VR20", "VR20", "VR20");
  static public final int VR21_ = 1145;
  static public final DwarfRegistersPPC64 VR21 = new DwarfRegistersPPC64 (1145, "DwarfRegistersPPC64_VR21", "VR21", "VR21");
  static public final int VR22_ = 1146;
  static public final DwarfRegistersPPC64 VR22 = new DwarfRegistersPPC64 (1146, "DwarfRegistersPPC64_VR22", "VR22", "VR22");
  static public final int VR23_ = 1147;
  static public final DwarfRegistersPPC64 VR23 = new DwarfRegistersPPC64 (1147, "DwarfRegistersPPC64_VR23", "VR23", "VR23");
  static public final int VR24_ = 1148;
  static public final DwarfRegistersPPC64 VR24 = new DwarfRegistersPPC64 (1148, "DwarfRegistersPPC64_VR24", "VR24", "VR24");
  static public final int VR25_ = 1149;
  static public final DwarfRegistersPPC64 VR25 = new DwarfRegistersPPC64 (1149, "DwarfRegistersPPC64_VR25", "VR25", "VR25");
  static public final int VR26_ = 1150;
  static public final DwarfRegistersPPC64 VR26 = new DwarfRegistersPPC64 (1150, "DwarfRegistersPPC64_VR26", "VR26", "VR26");
  static public final int VR27_ = 1151;
  static public final DwarfRegistersPPC64 VR27 = new DwarfRegistersPPC64 (1151, "DwarfRegistersPPC64_VR27", "VR27", "VR27");
  static public final int VR28_ = 1152;
  static public final DwarfRegistersPPC64 VR28 = new DwarfRegistersPPC64 (1152, "DwarfRegistersPPC64_VR28", "VR28", "VR28");
  static public final int VR29_ = 1153;
  static public final DwarfRegistersPPC64 VR29 = new DwarfRegistersPPC64 (1153, "DwarfRegistersPPC64_VR29", "VR29", "VR29");
  static public final int VR30_ = 1154;
  static public final DwarfRegistersPPC64 VR30 = new DwarfRegistersPPC64 (1154, "DwarfRegistersPPC64_VR30", "VR30", "VR30");
  static public final int VR31_ = 1155;
  static public final DwarfRegistersPPC64 VR31 = new DwarfRegistersPPC64 (1155, "DwarfRegistersPPC64_VR31", "VR31", "VR31");

  /** Create a HashMap containing all the DwarfRegistersPPC64 elements.  */
  private static java.util.Map getMap ()
  {
    java.util.Map map;
    map = new java.util.HashMap ();
    map.put (GPR0.enumName, GPR0);
    map.put (GPR1.enumName, GPR1);
    map.put (GPR2.enumName, GPR2);
    map.put (GPR3.enumName, GPR3);
    map.put (GPR4.enumName, GPR4);
    map.put (GPR5.enumName, GPR5);
    map.put (GPR6.enumName, GPR6);
    map.put (GPR7.enumName, GPR7);
    map.put (GPR8.enumName, GPR8);
    map.put (GPR9.enumName, GPR9);
    map.put (GPR10.enumName, GPR10);
    map.put (GPR11.enumName, GPR11);
    map.put (GPR12.enumName, GPR12);
    map.put (GPR13.enumName, GPR13);
    map.put (GPR14.enumName, GPR14);
    map.put (GPR15.enumName, GPR15);
    map.put (GPR16.enumName, GPR16);
    map.put (GPR17.enumName, GPR17);
    map.put (GPR18.enumName, GPR18);
    map.put (GPR19.enumName, GPR19);
    map.put (GPR20.enumName, GPR20);
    map.put (GPR21.enumName, GPR21);
    map.put (GPR22.enumName, GPR22);
    map.put (GPR23.enumName, GPR23);
    map.put (GPR24.enumName, GPR24);
    map.put (GPR25.enumName, GPR25);
    map.put (GPR26.enumName, GPR26);
    map.put (GPR27.enumName, GPR27);
    map.put (GPR28.enumName, GPR28);
    map.put (GPR29.enumName, GPR29);
    map.put (GPR30.enumName, GPR30);
    map.put (GPR31.enumName, GPR31);
    map.put (FPR0.enumName, FPR0);
    map.put (FPR1.enumName, FPR1);
    map.put (FPR2.enumName, FPR2);
    map.put (FPR3.enumName, FPR3);
    map.put (FPR4.enumName, FPR4);
    map.put (FPR5.enumName, FPR5);
    map.put (FPR6.enumName, FPR6);
    map.put (FPR7.enumName, FPR7);
    map.put (FPR8.enumName, FPR8);
    map.put (FPR9.enumName, FPR9);
    map.put (FPR10.enumName, FPR10);
    map.put (FPR11.enumName, FPR11);
    map.put (FPR12.enumName, FPR12);
    map.put (FPR13.enumName, FPR13);
    map.put (FPR14.enumName, FPR14);
    map.put (FPR15.enumName, FPR15);
    map.put (FPR16.enumName, FPR16);
    map.put (FPR17.enumName, FPR17);
    map.put (FPR18.enumName, FPR18);
    map.put (FPR19.enumName, FPR19);
    map.put (FPR20.enumName, FPR20);
    map.put (FPR21.enumName, FPR21);
    map.put (FPR22.enumName, FPR22);
    map.put (FPR23.enumName, FPR23);
    map.put (FPR24.enumName, FPR24);
    map.put (FPR25.enumName, FPR25);
    map.put (FPR26.enumName, FPR26);
    map.put (FPR27.enumName, FPR27);
    map.put (FPR28.enumName, FPR28);
    map.put (FPR29.enumName, FPR29);
    map.put (FPR30.enumName, FPR30);
    map.put (FPR31.enumName, FPR31);
    map.put (CCR.enumName, CCR);
    map.put (FPSCR.enumName, FPSCR);
    map.put (XER.enumName, XER);
    map.put (LR.enumName, LR);
    map.put (CTR.enumName, CTR);
    map.put (VR0.enumName, VR0);
    map.put (VR1.enumName, VR1);
    map.put (VR2.enumName, VR2);
    map.put (VR3.enumName, VR3);
    map.put (VR4.enumName, VR4);
    map.put (VR5.enumName, VR5);
    map.put (VR6.enumName, VR6);
    map.put (VR7.enumName, VR7);
    map.put (VR8.enumName, VR8);
    map.put (VR9.enumName, VR9);
    map.put (VR10.enumName, VR10);
    map.put (VR11.enumName, VR11);
    map.put (VR12.enumName, VR12);
    map.put (VR13.enumName, VR13);
    map.put (VR14.enumName, VR14);
    map.put (VR15.enumName, VR15);
    map.put (VR16.enumName, VR16);
    map.put (VR17.enumName, VR17);
    map.put (VR18.enumName, VR18);
    map.put (VR19.enumName, VR19);
    map.put (VR20.enumName, VR20);
    map.put (VR21.enumName, VR21);
    map.put (VR22.enumName, VR22);
    map.put (VR23.enumName, VR23);
    map.put (VR24.enumName, VR24);
    map.put (VR25.enumName, VR25);
    map.put (VR26.enumName, VR26);
    map.put (VR27.enumName, VR27);
    map.put (VR28.enumName, VR28);
    map.put (VR29.enumName, VR29);
    map.put (VR30.enumName, VR30);
    map.put (VR31.enumName, VR31);
    return map;
  }
  private static java.util.Map enumMap = getMap ();

  /** Return the DwarfRegistersPPC64 object that matches the string.  */
  public static DwarfRegistersPPC64 valueOf (String string)
  {
    return (DwarfRegistersPPC64)enumMap.get (string);
  }

  /** Return the DwarfRegistersPPC64 object that matches the integer.  */
  public static DwarfRegistersPPC64 valueOf (long i)
  {
    switch ((int)i) {
    case GPR0_: return GPR0;
    case GPR1_: return GPR1;
    case GPR2_: return GPR2;
    case GPR3_: return GPR3;
    case GPR4_: return GPR4;
    case GPR5_: return GPR5;
    case GPR6_: return GPR6;
    case GPR7_: return GPR7;
    case GPR8_: return GPR8;
    case GPR9_: return GPR9;
    case GPR10_: return GPR10;
    case GPR11_: return GPR11;
    case GPR12_: return GPR12;
    case GPR13_: return GPR13;
    case GPR14_: return GPR14;
    case GPR15_: return GPR15;
    case GPR16_: return GPR16;
    case GPR17_: return GPR17;
    case GPR18_: return GPR18;
    case GPR19_: return GPR19;
    case GPR20_: return GPR20;
    case GPR21_: return GPR21;
    case GPR22_: return GPR22;
    case GPR23_: return GPR23;
    case GPR24_: return GPR24;
    case GPR25_: return GPR25;
    case GPR26_: return GPR26;
    case GPR27_: return GPR27;
    case GPR28_: return GPR28;
    case GPR29_: return GPR29;
    case GPR30_: return GPR30;
    case GPR31_: return GPR31;
    case FPR0_: return FPR0;
    case FPR1_: return FPR1;
    case FPR2_: return FPR2;
    case FPR3_: return FPR3;
    case FPR4_: return FPR4;
    case FPR5_: return FPR5;
    case FPR6_: return FPR6;
    case FPR7_: return FPR7;
    case FPR8_: return FPR8;
    case FPR9_: return FPR9;
    case FPR10_: return FPR10;
    case FPR11_: return FPR11;
    case FPR12_: return FPR12;
    case FPR13_: return FPR13;
    case FPR14_: return FPR14;
    case FPR15_: return FPR15;
    case FPR16_: return FPR16;
    case FPR17_: return FPR17;
    case FPR18_: return FPR18;
    case FPR19_: return FPR19;
    case FPR20_: return FPR20;
    case FPR21_: return FPR21;
    case FPR22_: return FPR22;
    case FPR23_: return FPR23;
    case FPR24_: return FPR24;
    case FPR25_: return FPR25;
    case FPR26_: return FPR26;
    case FPR27_: return FPR27;
    case FPR28_: return FPR28;
    case FPR29_: return FPR29;
    case FPR30_: return FPR30;
    case FPR31_: return FPR31;
    case CCR_: return CCR;
    case FPSCR_: return FPSCR;
    case XER_: return XER;
    case LR_: return LR;
    case CTR_: return CTR;
    case VR0_: return VR0;
    case VR1_: return VR1;
    case VR2_: return VR2;
    case VR3_: return VR3;
    case VR4_: return VR4;
    case VR5_: return VR5;
    case VR6_: return VR6;
    case VR7_: return VR7;
    case VR8_: return VR8;
    case VR9_: return VR9;
    case VR10_: return VR10;
    case VR11_: return VR11;
    case VR12_: return VR12;
    case VR13_: return VR13;
    case VR14_: return VR14;
    case VR15_: return VR15;
    case VR16_: return VR16;
    case VR17_: return VR17;
    case VR18_: return VR18;
    case VR19_: return VR19;
    case VR20_: return VR20;
    case VR21_: return VR21;
    case VR22_: return VR22;
    case VR23_: return VR23;
    case VR24_: return VR24;
    case VR25_: return VR25;
    case VR26_: return VR26;
    case VR27_: return VR27;
    case VR28_: return VR28;
    case VR29_: return VR29;
    case VR30_: return VR30;
    case VR31_: return VR31;
    default: return null;
    }
  }

  /** Return an array of all the DwarfRegistersPPC64 elements.  */
  public static DwarfRegistersPPC64[] values ()
  {
    return (DwarfRegistersPPC64[]) enumMap.values ().toArray (new DwarfRegistersPPC64[0]);
  }

  /**
   * Returns the full underscore delimited name of the
   * field corresponding to the value I.
   */
  static public String toString (long i)
  {
    DwarfRegistersPPC64 c = valueOf (i);
    if (c == null)
      return "_0x" + Long.toHexString (i);
    else
      return c.toString ();
  }

  /**
   * Returns the printable (or user readable) name for the
   * field corresponding to the value I.
   */
  static public String toPrintString (long i)
  {
    DwarfRegistersPPC64 c = valueOf (i);
    if (c == null)
      return "_0x" + Long.toHexString (i);
    else
      return c.toPrint ();
  }

  /**
   * Returns the printable (or user readable) name for the
   * field corresponding to the value I, or DEF is there
   * is no such field.
   */
  static public String toPrintString (long i, String def)
  {
    DwarfRegistersPPC64 c = valueOf (i);
    if (c == null)
      return def;
    else
      return c.toPrint ();
  }

  /**
   * Returns just the name part of the num corresponding to I.
   */
  static public String toName (long i)
  {
    DwarfRegistersPPC64 c = valueOf (i);
    if (c == null)
      return "_0x" + Long.toHexString (i);
    else
      return c.toName ();
  }

  /**
   * Returns just the name part of the num corresponding to I,
   * or DEF is there is no such field.
   */
  static public String toName (long i, String def)
  {
    DwarfRegistersPPC64 c = valueOf (i);
    if (c == null)
      return def;
    else
      return c.toName ();
  }

  /**
   * Return the equivalent of the enum.
   */
  public int intValue () {
    return enumValue;
  }

  /**
   * Return the equivalent of the enum.
   */
  public long longValue () {
    return enumValue;
  }

  /**
   * Return the equivalent of the enum.
   */
  public float floatValue () {
    return enumValue;
  }

  /**
   * Return the equivalent of the enum.
   */
  public double doubleValue () {
    return enumValue;
  }

  static final long serialVersionUID = 0;
}
